Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface ServerStartMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface ServerStartMBean
extends ConfigurationMBean

This bean is used to configure the attributes necessary to start up a server on a remote machine.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getArguments()` The arguments to use when starting this server.
`String` | `getBeaHome()` The BEA home directory (path on the machine running Node Manager) to use when starting this server.
`String` | `getClassPath()` The classpath (path on the machine running Node Manager) to use when starting this server.
`String` | `getJavaHome()` The Java home directory (path on the machine running Node Manager) to use when starting this server.
`String` | `getPassword()` The password of the username used to boot the server and perform server health monitoring.
`byte[]` | `getPasswordEncrypted()` The encrypted password of the username used to boot the server and perform server health monitoring.
`String` | `getRootDirectory()` The directory that this server uses as its root directory.
`String` | `getSecurityPolicyFile()` The security policy file (directory and filename on the machine running Node Manager) to use when starting this server.
`String` | `getUsername()` The user name to use when booting this server.
`void` | `setArguments(String classpath)` Set the value of the Arguments attribute.
`void` | `setBeaHome(String path)` Sets the value of the BeaHome attribute.
`void` | `setClassPath(String classpath)` Sets the value of the ClassPath attribute.
`void` | `setJavaHome(String path)` Sets the value of the JavaHome attribute.
`void` | `setOutputFile(String fileName)` Sets the value of the OutputFile attribute.
`void` | `setPassword(String password)` Sets the value of the Password attribute.
`void` | `setPasswordEncrypted(byte[] bytes)` Encrypts the user password and sets the value of the PasswordEncrypted attribute.
`void` | `setRootDirectory(String path)` Sets the value of the RootDirectory attribute.
`void` | `setSecurityPolicyFile(String filePath)` Sets the value of the SecurityPolicy attribute.
`void` | `setUsername(String username)` Sets the value of the Username attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getArguments

    public String getArguments()

  The arguments to use when starting this server.

  These are the first arguments appended immediately after `java` portion of the startup command. For example, you can set Java heap memory or specify any `weblogic.Server` option.

  Separate arguments with a space.

  Returns:
    The arguments value

### getBeaHome

    public String getBeaHome()

  The BEA home directory (path on the machine running Node Manager) to use when starting this server.

  Specify the directory on the Node Manager machine under which all BEA products and licenses were installed. For example, `c:\bea`.

  Returns:
    The beaHome value

### getClassPath

    public String getClassPath()

  The classpath (path on the machine running Node Manager) to use when starting this server.

  At a minimum you will need to specify the following values for the class path option: `WL_HOME/server/lib/weblogic_sp.jar;WL_HOME/server/lib/weblogic.jar`

  where `WL_HOME` is the directory in which you installed WebLogic Server on the Node Manager machine.

  The shell environment determines which character you use to separate path elements. On Windows, you typically use a semicolon (;). In a BASH shell, you typically use a colon (:).

  Returns:
    The classPath value

### getJavaHome

    public String getJavaHome()

  The Java home directory (path on the machine running Node Manager) to use when starting this server.

  Specify the parent directory of the JDK's `bin` directory. For example, `c:\bea\jdk141`.

  Returns:
    The javaHome value

### getPassword

    public String getPassword()

  The password of the username used to boot the server and perform server health monitoring.

  As of 8.1 sp4, when you get the value of this attribute, WebLogic Server does the following:

  1. Retrieves the value of the `PasswordEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted password as a String.

  When you set the value of this attribute, WebLogic Server does the following:

  1. Encrypts the value.
  2. Sets the value of the `PasswordEncrypted` attribute to the encrypted value.

  Using this attribute (`Password`) is a potential security risk because the String object (which contains the unencrypted password) remains in the JVM's memory until garbage collection removes it and the memory is reallocated. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using this attribute, use `PasswordEncrypted`.

  Returns:
    The password value
  See Also:
    `getPasswordEncrypted()`
  Default value:
    ""

### getPasswordEncrypted

    public byte[] getPasswordEncrypted()

  The encrypted password of the username used to boot the server and perform server health monitoring.

  To set this attribute, use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the value. Then set this attribute to the output of the encrypt() method.

  To compare a password that a user enters with the encrypted value of this attribute, go to the same WebLogic Server instance that you used to set and encrypt this attribute and use `weblogic.management.EncryptionHelper.encrypt()` to encrypt the user-supplied password. Then compare the encrypted values.

  Returns:
    The PasswordEncrypted value as an encrypted byte array
  See Also:
    weblogic.management.EncryptionHelper
  Default value:
    ConfigurationMBean.DEFAULT_EMPTY_BYTE_ARRAY

### getRootDirectory

    public String getRootDirectory()

  The directory that this server uses as its root directory. This directory must be on the computer that hosts the Node Manager. If you do not specify a Root Directory value, the default Node Manager working directory is used (generally `WL_HOME\common\nodemanager`).

  Returns:
    The rootDirectory value

### getSecurityPolicyFile

    public String getSecurityPolicyFile()

  The security policy file (directory and filename on the machine running Node Manager) to use when starting this server.

  Returns:
    The securityPolicyFile value

### getUsername

    public String getUsername()

  The user name to use when booting this server.

  The Administration Console inserts the user name that you supplied when you logged in to the console. The Domain Configuration Wizard inserts the user name that you defined when you created the domain.

  Returns:
    The username value
  Default value:
    ""

### setArguments

    public void setArguments(String classpath)
                      throws InvalidAttributeValueException

  Set the value of the Arguments attribute.

  Parameters:
    `classpath` - The new arguments value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getArguments()`

### setBeaHome

    public void setBeaHome(String path)
                    throws InvalidAttributeValueException

  Sets the value of the BeaHome attribute.

  Parameters:
    `path` - The new beaHome value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getBeaHome()`

### setClassPath

    public void setClassPath(String classpath)
                      throws InvalidAttributeValueException

  Sets the value of the ClassPath attribute.

  Parameters:
    `classpath` - The new classPath value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getClassPath()`

### setJavaHome

    public void setJavaHome(String path)
                     throws InvalidAttributeValueException

  Sets the value of the JavaHome attribute. .

  Parameters:
    `path` - The new javaHome value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getJavaHome()`

### setOutputFile

    public void setOutputFile(String fileName)

  Sets the value of the OutputFile attribute.

  Parameters:
    `fileName` - The new outputFile value
  See Also:
    `getOutputFile()`

### setPassword

    public void setPassword(String password)
                     throws InvalidAttributeValueException

  Sets the value of the Password attribute.

  Parameters:
    `password` - The new password value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPassword()`

### setPasswordEncrypted

    public void setPasswordEncrypted(byte[] bytes)
                              throws InvalidAttributeValueException

  Encrypts the user password and sets the value of the PasswordEncrypted attribute.

  Parameters:
    `bytes` - The new password value as a byte array
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getPasswordEncrypted()`

### setRootDirectory

    public void setRootDirectory(String path)
                          throws InvalidAttributeValueException

  Sets the value of the RootDirectory attribute.

  Parameters:
    `path` - The new rootDirectory value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getRootDirectory()`

### setSecurityPolicyFile

    public void setSecurityPolicyFile(String filePath)
                               throws InvalidAttributeValueException

  Sets the value of the SecurityPolicy attribute.

  Parameters:
    `filePath` - The new securityPolicyFile value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `#getSecurityPolicy`

### setUsername

    public void setUsername(String username)
                     throws InvalidAttributeValueException

  Sets the value of the Username attribute.

  Parameters:
    `username` - The new username value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getUsername()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD